# Uses of Interface
com.sun.source.doctree.ValueTree

Packages that use ValueTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ValueTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type ValueTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitValue(ValueTree node, P p)`
Visits a `ValueTree` node.

## Uses of ValueTree in com.sun.source.util

Methods in com.sun.source.util that return ValueTree
Modifier and Type
Method
Description
`ValueTree`
DocTreeFactory.`newValueTree(ReferenceTree ref)`
Creates a new `ValueTree` object, to represent a `{@value }` tag.
`default ValueTree`
DocTreeFactory.`newValueTree(TextTree format, ReferenceTree ref)`
Creates a new `ValueTree` object, to represent a `{@value }` tag.
Methods in com.sun.source.util with parameters of type ValueTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitValue(ValueTree node, P p)`
Visits a `ValueTree` node.
`R`
SimpleDocTreeVisitor.`visitValue(ValueTree node, P p)`
Visits a `ValueTree` node.